Web lists-archives.com

Re: So, I just updated to Fx 55.0 and ...




On 09/18/2017 10:52 AM, Sailfish wrote:
My bloviated meandering follows what Big Al graced us with on 9/18/2017 7:39 AM:
On 09/18/2017 02:38 AM, Poutnik wrote:
Dne 18/09/2017 v 08:25 Sailfish napsal(a):
... found out that 15 of my 16 enabled add-ons have been marked as
"Legacy" destined to be killed-off with Fx57+

Le sigh, looks like I'll be sticking with a back release, assuming
Mozilla doesn't prevent their use.

You can safe some time until the decision has to be made
by switching to Firefox ESR release. As it gets new features
about once a year, while getting all bug/vulnerability fixes.

It looks like you have time until June 2018

https://www.mozilla.org/en-US/firefox/organizations/faq/


And maybe by that time (about 7 months of 57 deployment) enough may have happened to convert legacy apps to make them work.

@Poutnik, good advice and I'll keep my fingers crossed that they won't disable it after that.

@Big Al, I hold out little hope that many of them can even be converted since their reliance on XUL and XPCOM internals access. This link from m.s.f tells the sad truth, as least as far as the extension I most heavily rely on.

https://docs.google.com/spreadsheets/d/1TFcEXMcKrwoIAECIVyBU0GPoSmRqZ7A0VBvqeKYVSww/edit#gid=0

Sadly I agree with you. I'm on Linux and as soon as I get version 56.x I'll put a freeze on updates and stop there. It's a shame. I don't mind Firefox and grew up on Mozilla products and even still have a CD of Netscape 7.0 in the drawer, but I moved to Chrome a while back when FF kept breaking and changing. I should see if Netscape loads one day, would be a hoot if it even loaded let alone worked.
_______________________________________________
general mailing list
general@xxxxxxxxxxxxxxxxx
https://lists.mozilla.org/listinfo/general